Actions / Approvals
Submit for approval
Full accesssubmit_for_approval
Sends drafts to your team's approval queue.
Needs the publish scope. Acts on live social accounts or cannot be undone.
Inputs
| Input | Type | Required | Description |
|---|---|---|---|
draftIds | integer[] | Yes | Up to 30. |
REST
curl https://chirpy.me/api/v1/submit_for_approval \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-H "Idempotency-Key: $(uuidgen)" \
-d '{"draftIds":[123]}'MCP
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "submit_for_approval",
"arguments": {
"draftIds": [
123
]
}
}
}MCP hints: readOnlyHint: false, destructiveHint: true, idempotentHint: false, openWorldHint: true.
